package com.zyc.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.zyc.system.mapper.IpAddressResourcesMapper;
import com.zyc.system.domain.IpAddressResources;
import com.zyc.system.service.IIpAddressResourcesService;

/**
 * IP地址资源Service业务层处理
 * 
 * @author zyc
 * @date 2024-12-26
 */
@Service
public class IpAddressResourcesServiceImpl implements IIpAddressResourcesService 
{
    @Autowired
    private IpAddressResourcesMapper ipAddressResourcesMapper;

    /**
     * 查询IP地址资源
     * 
     * @param id IP地址资源主键
     * @return IP地址资源
     */
    @Override
    public IpAddressResources selectIpAddressResourcesById(Integer id)
    {
        return ipAddressResourcesMapper.selectIpAddressResourcesById(id);
    }

    /**
     * 查询IP地址资源列表
     * 
     * @param ipAddressResources IP地址资源
     * @return IP地址资源
     */
    @Override
    public List<IpAddressResources> selectIpAddressResourcesList(IpAddressResources ipAddressResources)
    {
        return ipAddressResourcesMapper.selectIpAddressResourcesList(ipAddressResources);
    }

    /**
     * 新增IP地址资源
     * 
     * @param ipAddressResources IP地址资源
     * @return 结果
     */
    @Override
    public int insertIpAddressResources(IpAddressResources ipAddressResources)
    {
        return ipAddressResourcesMapper.insertIpAddressResources(ipAddressResources);
    }

    /**
     * 修改IP地址资源
     * 
     * @param ipAddressResources IP地址资源
     * @return 结果
     */
    @Override
    public int updateIpAddressResources(IpAddressResources ipAddressResources)
    {
        return ipAddressResourcesMapper.updateIpAddressResources(ipAddressResources);
    }

    /**
     * 批量删除IP地址资源
     * 
     * @param ids 需要删除的IP地址资源主键
     * @return 结果
     */
    @Override
    public int deleteIpAddressResourcesByIds(Integer[] ids)
    {
        return ipAddressResourcesMapper.deleteIpAddressResourcesByIds(ids);
    }

    /**
     * 删除IP地址资源信息
     * 
     * @param id IP地址资源主键
     * @return 结果
     */
    @Override
    public int deleteIpAddressResourcesById(Integer id)
    {
        return ipAddressResourcesMapper.deleteIpAddressResourcesById(id);
    }
}
